﻿using System;
using System.Windows.Forms;

namespace SqlFormatterSample
{
    /// <summary>
    /// サンプルフォームです。
    /// </summary>
    public partial class Form1 : Form
    {
        /// <summary>
        /// コンストラクタ。
        /// </summary>
        public Form1()
        {
            // コンポーネントの初期化
            InitializeComponent();
        }

        /// <summary>
        /// 整形ボタンのクリック・イベントを処理します。
        /// </summary>
        /// <param name="sender">送信オブジェクト。</param>
        /// <param name="e">イベントデータ。</param>
        private void btnFormat_Click(object sender, EventArgs e)
        {
            // ★★★★★★★★★★★★★★★★★★★★
            // ＳＱＬ整形↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓
            // ★★★★★★★★★★★★★★★★★★★★

            // SQLルールのインスタンスを生成
            FreeView.Sql.SqlRule rule =
                new FreeView.Sql.SqlRule();

            // >> オプション
            // カンマ（,）前後の改行方法を指定
            //rule.CommaEndOfLineType = FreeView.Sql.CommaEndOfLineType.Before;
            // インデントに使用する文字列を指定
            //rule.IndentString = "\t";
            // キーワード変換を指定
            //rule.KeywordConversion = FreeView.Sql.KeywordConversion.KeywordLowerCase;
            // << オプション

            // SQL整形のインスタンスを生成
            FreeView.Sql.SqlFormatter formatter =
                new FreeView.Sql.SqlFormatter(rule);

            // SQLを整形し、結果を表示
            this.txtAfter.Text = formatter.Format(this.txtBefore.Text);

            // ★★★★★★★★★★★★★★★★★★★★
            // ＳＱＬ整形↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑
            // ★★★★★★★★★★★★★★★★★★★★
        }

        /// <summary>
        /// キーダウン・イベントを処理します。
        /// </summary>
        /// <param name="e">イベントデータ。</param>
        protected override void OnKeyDown(KeyEventArgs e)
        {
            // アクティブコントロールがテキストボックス
            if (this.ActiveControl is TextBox)
            {
                // Ctrl+A
                if ((e.Control) && (e.KeyCode == Keys.A))
                {
                    // テキストボックスを全選択
                    TextBox txt = (TextBox)this.ActiveControl;
                    txt.SelectionStart = 0;
                    txt.SelectionLength = txt.Text.Length;
                    return;
                }
            }

            base.OnKeyDown(e);
        }
    }
}